
ROOTDIR         = ..
TARGET		= qglviewer
TEMPLATE	= lib
DESTDIR         = $$ROOTDIR/lib
VERSION		= 1.4
MOC_DIR		= moc_files
OBJECTS_DIR	= obj_files

CONFIG		+= qt thread warn_off opengl staticlib release console
#CONFIG		+= qt thread warn_on opengl staticlib debug console

unix:DEFINES     = 
win32:DEFINES    = __WIN32

irix-n32:TMAKE_CXXFLAGS += -ptused -prelink

unix:TMAKE_UIC   = $(QTDIR)/bin/uic
win32:TMAKE_UIC  = $(QTDIR)\bin\uic.exe

INCLUDEPATH      = $$ROOTDIR/include $$ROOTDIR/src

DEPENDPATH = $$INCLUDEPATH

CLEAN_FILES = $$ROOTDIR/lib/libQGLViewer*

DISTFILES        = dragkeycamerapath.xpm dragcamerapath.xpm CamEditor.cfg

INTERFACES       = QCameraKeyPathEditor.ui QLightSourceEditor.ui

HEADERS		= ../include/CP2D.h \
		  ../include/CV2D.h \
		  ../include/CP3D.h \
		  ../include/CV3D.h \
		  ../include/CP4D.h \
		  ../include/CV4D.h \
                  ../include/CBoundingBox3D.h \
		  ../include/CMat4D.h \
		  ../include/CQuat.h \
		  ../include/CCamera.h \
		  ../include/CTree.h \
		  ../include/GeoGeneric.h \
	          ../include/QCameraDrag.h \
		  ../include/QGLSignalWidget.h ../include/QGLViewer.h \
		  ../include/QGLExaminerViewer.h \
		  ../include/QGLViewerSceneTreeObjects.h \
		  ../include/QToggleButton.h ../include/QCameraDropSite.h \
                  ../include/QStereoCtrl.h \
		  ../include/QGLViewerXML.h \
		  ../include/QGLViewerIO.h \
		  ../include/GLDrawable.h \
		  ../include/QSceneTreeNode.h \
		  ../include/QSceneTreeRenderer.h \
                  ../include/CList.h \
		  ../include/CCameraKeyPathAttributes.h \
		  ../include/CCameraKeyPathPoint.h \
		  ../include/CCameraPathInterpolator.h \
		  ../include/QCameraKeyPathDrag.h \
		  ../include/QCameraKeyPathDropSite.h \
		  ../include/QCameraKeyPathEditorImpl.h \
		  ../include/QCameraPathDrag.h \
		  ../include/QCameraPathDropSite.h \
		  ../include/QIconOptions.h \
		  ../include/QCameraInterpolationTool.h \
		  ../include/QMyListBox.h \
		  ../include/QCameraPathPlayer.h \
		  ../include/QLightSourceEditorImpl.h

SOURCES		= CP2D.cpp CV2D.cpp CP3D.cpp CV3D.cpp CP4D.cpp CV4D.cpp \
                  CBoundingBox3D.cpp CCamera.cpp CMat4D.cpp \
		  CQuat.cpp CTree.cpp CLightSource.cpp \
		  QCameraDrag.cpp \
		  QGLViewer.cpp QGLExaminerViewer.cpp \
		  QToggleButton.cpp QCameraDropSite.cpp \
                  QStereoCtrl.cpp \
		  QGLViewerXML.cpp QGLViewerIO.cpp \
		  GLDrawable.cpp QSceneTreeNode.cpp QSceneTreeRenderer.cpp \
		  QGLViewerSceneTreeObjects.cpp \
                  \
		  CCameraKeyPathAttributes.cpp \
		  CCameraKeyPathPoint.cpp \
		  CCameraPathInterpolator.cpp \
		  QCameraKeyPathDrag.cpp \
		  QCameraKeyPathDropSite.cpp \
		  QCameraKeyPathEditorImpl.cpp \
		  QCameraPathDrag.cpp \
		  QCameraPathDropSite.cpp \
		  QIconOptions.cpp \
		  QCameraInterpolationTool.cpp \
		  QMyListBox.cpp \ 
		  QCameraPathPlayer.cpp \
                  \
                  QLightSourceEditorImpl.cpp

TEMPLATE_SOURCES = ../include/CList.cpp

irix-n32:SOURCES += $$TEMPLATE_SOURCES
irix-n32:DISTFILES += $$TEMPLATE_SOURCES
